---
title: "Add Rooms to a Team"
slug: "add-rooms-to-a-team"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Rooms to a Team

Post/api/v1/teams.addRooms

Add existing rooms to a team.

Permission required: `move-room-to-team`

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='7ac57843-9cb7-45fa-a273-70eb9955b581'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='949a72b5-d516-4225-a952-e75f2956a5d4'>Example</option>
</select>Example

```json
{
  "teamId": "607e0d9b49d493189836bfac",
  "rooms": [
    "8Z7eRsibvD5AANfmK"
  ]
}
```

object  teamIdstring    Required

Enter the team ID to which you want to add the rooms. Alternatively, enter the `teamName` parameter and provide the team's name as the value.

rooms Array of string   Required

The IDs of the rooms to be added to the team.

string    

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='ae1a8fad-1234-4e2f-9345-61456192a69d'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='ea1ec3da-64d9-44d6-96f4-69ebad8a88c8'>Success</option>
</select>Success

```json
{
  "rooms": [
    {
      "_id": "JKa7R9zu2DinBhBN9",
      "fname": "Livestream",
      "customFields": {},
      "description": "",
      "broadcast": false,
      "encrypted": false,
      "federated": false,
      "name": "Livestream",
      "t": "c",
      "msgs": 15,
      "usersCount": 3,
      "u": {
        "_id": "rbAXPnMktTFbNpwtJ",
        "username": "roxie"
      },
      "ts": "2023-02-22T17:15:26.989Z",
      "ro": false,
      "default": false,
      "sysMes": true,
      "_updatedAt": "2023-09-26T01:05:39.641Z",
      "lm": "2023-09-14T12:06:00.594Z",
      "lastMessage": {
        "_id": "rtf5JoPLQup3X7Aof",
        "t": "videoconf",
        "msg": "",
        "groupable": false,
        "blocks": [
          {
            "type": "video_conf",
            "blockId": "6502f728a2f73c7460df6f71",
            "callId": "6502f728a2f73c7460df6f71",
            "appId": "videoconf-core"
          }
        ],
        "ts": "2023-09-14T12:06:00.594Z",
        "u": {
          "_id": "rbAXPnMktTFbNpwtJ",
          "username": "test.test",
          "name": "test test"
        },
        "rid": "JKa7R9zu2DinBhBN9",
        "_updatedAt": "2023-09-14T12:06:00.685Z",
        "urls": [],
        "mentions": [],
        "channels": []
      },
      "teamId": "63f3efc4b000b6b6d86704b2"
    }
  ],
  "success": true
}
```

Expand Allobject  rooms Array of object   object  _idstring    
fnamestring    
customFieldsobject  
descriptionstring    
broadcastboolean    
encryptedboolean    
federatedboolean    
namestring    
tstring    
msgsinteger    
usersCountinteger    
uobject  _idstring    
usernamestring    

tsstring    
roboolean    
defaultboolean    
sysMesboolean    
_updatedAtstring    
lmstring    
lastMessageobject  _idstring    
tstring    
msgstring    
groupableboolean    
blocks Array of object   object  typestring    
blockIdstring    
callIdstring    
appIdstring    

tsstring    
uobject  _idstring    
usernamestring    
namestring    

ridstring    
_updatedAtstring    
urls Array of object   object  
mentions Array of object   object  
channels Array of object   object  

teamIdstring    

successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='4de035de-2c36-4280-a288-122c0927c1bd'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='cfaa1ffb-1fc1-4418-8056-6a71df8a617f'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
